<?php
session_start();
if (!isset($_SESSION['user'])) {
    header("Location: ../login.php");
    exit;
}

// 引入数据库配置文件
require_once '../config.php';

// 数据库连接
$conn = get_db_connection();

// 获取仓库列表
$warehouses = [];
$result = $conn->query("SELECT * FROM warehouses ORDER BY id DESC");
if ($result) {
    while ($row = $result->fetch_assoc()) {
        $warehouses[] = $row;
    }
    $result->close();
}

$conn->close();
?>
<!DOCTYPE html>
<html lang="zh">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>库存管理</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <!-- 侧边导航栏 -->
    <div class="sidebar">
        <div class="sidebar-header">
            <h3>库存管理</h3>
        </div>
        <div class="sidebar-menu">
            <ul>
                <li class="home-link"><a href="../home.php">返回首页</a></li>
                <li class="active" onclick="changeContent('inventory_stock.php')"><a href="javascript:void(0)">库存列表</a></li>
                <li onclick="changeContent('warehouse.php')"><a href="javascript:void(0)">仓库管理</a></li>
                <li onclick="changeContent('supplier.php')"><a href="javascript:void(0)">供应商管理</a></li>
            </ul>
        </div>
    </div>

    <!-- 主内容区 - iframe -->
    <div class="main-content">
        <iframe id="content-frame" src="inventory_stock.php" name="content-frame"></iframe>
    </div>

    <script>
        // 切换内容函数
        function changeContent(url) {
            document.getElementById('content-frame').src = url;

            // 更新活动菜单项
            var menuItems = document.querySelectorAll('.sidebar-menu li:not(.home-link)');
            menuItems.forEach(function(item) {
                item.classList.remove('active');
            });

            // 设置当前点击的为活动状态
            event.currentTarget.classList.add('active');
        }
    </script>
</body>

</html>